# Class TCefResourceHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFResourceHandler

## Declaration

`type TCefResourceHandlerOwn = class(TCefBaseRefCountedOwn, ICefResourceHandler)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefResourceHandlerOwn

## Overview

### Methods

| `function open(const request: ICefRequest; var handle_request: boolean; const callback: ICefCallback): boolean; virtual;`
| `function ProcessRequest(const request: ICefRequest; const callback: ICefCallback): Boolean; virtual;`
| `procedure GetResponseHeaders(const response: ICefResponse; out responseLength: Int64; out redirectUrl: ustring); virtual;`
| `function skip(bytes_to_skip: int64; var bytes_skipped: Int64; const callback: ICefResourceSkipCallback): boolean; virtual;`
| `function read(const data_out: Pointer; bytes_to_read: Integer; var bytes_read: Integer; const callback: ICefResourceReadCallback): boolean; virtual;`
| `function ReadResponse(const dataOut: Pointer; bytesToRead: Integer; var bytesRead: Integer; const callback: ICefCallback): Boolean; virtual;`
| `procedure Cancel; virtual;`
| `constructor Create(const browser: ICefBrowser; const frame: ICefFrame; const schemeName: ustring; const request: ICefRequest); virtual;`

## Description

### Methods

| `function open(const request: ICefRequest; var handle_request: boolean; const callback: ICefCallback): boolean; virtual;`

This item has no description. Showing description inherited from ICefResourceHandler.open.

Open the response stream. To handle the request immediately set |handle_request| to true (1) and return true (1). To decide at a later time set |handle_request| to false (0), return true (1), and execute |callback| to continue or cancel the request. To cancel the request immediately set |handle_request| to true (1) and return false (0). This function will be called in sequence but not from a dedicated thread. For backwards compatibility set |handle_request| to false (0) and return false (0) and the ProcessRequest function will be called.

| `function ProcessRequest(const request: ICefRequest; const callback: ICefCallback): Boolean; virtual;`

This item has no description. Showing description inherited from ICefResourceHandler.ProcessRequest.

Begin processing the request. To handle the request return true (1) and call ICefCallback.cont() once the response header information is available (ICefCallback.cont() can also be called from inside this function if header information is available immediately). To cancel the request return false (0).

WARNING: This function is deprecated. Use Open instead.

| `procedure GetResponseHeaders(const response: ICefResponse; out responseLength: Int64; out redirectUrl: ustring); virtual;`
deprecated

| `function skip(bytes_to_skip: int64; var bytes_skipped: Int64; const callback: ICefResourceSkipCallback): boolean; virtual;`

This item has no description. Showing description inherited from ICefResourceHandler.skip.

Skip response data when requested by a Range header. Skip over and discard |bytes_to_skip| bytes of response data. If data is available immediately set |bytes_skipped| to the number of bytes skipped and return true (1). To read the data at a later time set |bytes_skipped| to 0, return true (1) and execute |callback| when the data is available. To indicate failure set |bytes_skipped| to < 0 (e.g. -2 for ERR_FAILED) and return false (0). This function will be called in sequence but not from a dedicated thread.

| `function read(const data_out: Pointer; bytes_to_read: Integer; var bytes_read: Integer; const callback: ICefResourceReadCallback): boolean; virtual;`

This item has no description. Showing description inherited from ICefResourceHandler.read.

Read response data. If data is available immediately copy up to |bytes_to_read| bytes into |data_out|, set |bytes_read| to the number of bytes copied, and return true (1). To read the data at a later time keep a pointer to |data_out|, set |bytes_read| to 0, return true (1) and execute |callback| when the data is available (|data_out| will remain valid until the callback is executed). To indicate response completion set |bytes_read| to 0 and return false (0). To indicate failure set |bytes_read| to < 0 (e.g. -2 for ERR_FAILED) and return false (0). This function will be called in sequence but not from a dedicated thread. For backwards compatibility set |bytes_read| to -1 and return false (0) and the ReadResponse function will be called.

| `function ReadResponse(const dataOut: Pointer; bytesToRead: Integer; var bytesRead: Integer; const callback: ICefCallback): Boolean; virtual;`

This item has no description. Showing description inherited from ICefResourceHandler.ReadResponse.

Read response data. If data is available immediately copy up to |bytes_to_read| bytes into |data_out|, set |bytes_read| to the number of bytes copied, and return true (1). To read the data at a later time set |bytes_read| to 0, return true (1) and call ICefCallback.cont() when the data is available. To indicate response completion return false (0).

WARNING: This function is deprecated. Use Skip and Read instead.

| `procedure Cancel; virtual;`
deprecated

| `constructor Create(const browser: ICefBrowser; const frame: ICefFrame; const schemeName: ustring; const request: ICefRequest); virtual;`
This item has no description.

Generated by PasDoc 0.17.0.snapshot.